#include "copyright.h"
#include "port.h"
#include "utility.h"
#include "symtab.h"
#include "node.h"

warning(message,enode)
char *message;
node *enode;
{
    if ( enode == NULL ) {
	(void) fprintf(stderr,"Warning: %s\n", message);
    } else {
	(void) fprintf(stderr,"Warning: %s in %s line %d\n",
		message,enode->file,enode->line);
    }
}


error(message,enode)
char *message;
node *enode;
{
    if ( enode == NULL ) {
	(void) fprintf(stderr,"Error: %s\n", message);
    } else {
	(void) fprintf(stderr,"Error: %s in %s line %d\n",
		message,enode->file,enode->line);
    }
    exit(-3);
}


ierror(message, enode)
char *message;
node *enode;
{
    if ( enode == NULL ) {
	(void) fprintf(stderr,"Internal error: %s\n", message);
    } else {
	(void) fprintf(stderr,"Internal error: %s in %s line %d\n",
		message, enode->file, enode->line);
    }
    exit(-3);
}
