
#ifndef NO_X

/* RCS Info: $Revision: 1.2 $ on $Date: 89/06/01 16:34:55 $
 *           $Source: /octtools/release-3.0/src/misII/misII/graphics/RCS/XEllipse.c,v $
 * Copyright (c) 1987 Wayne A. Christopher, U. C. Berkeley CAD Group 
 *     faustus@cad.berkeley.edu, ucbvax!faustus
 * Permission is granted to modify and re-distribute this code in any manner
 * as long as this notice is preserved.  All standard disclaimers apply.
 *
 * Converted to X11 by Rick L. Spickelmier
 *
 */

#include <X11/Xlib.h>

void
XEllipseFilled(display, win, gc, x, y, width, height)
    Display *display;
    Window win;
    GC gc;
{
    XPoint box[5];

    box[0].x = x - width / 2;
    box[0].y = y - height / 2;
    box[1].x = box[0].x + width;
    box[1].y = box[0].y;
    box[2].x = box[1].x;
    box[2].y = box[1].y + height;
    box[3].x = box[0].x;
    box[3].y = box[2].y;
    box[4].x = box[0].x;
    box[4].y = box[0].y;

#ifdef notdef
    XDrawFilled(win, box, 5, pixel, mode, planes);
#endif
    return;
}

#endif
