#ifndef NODEINDEX_H
#define NODEINDEX_H


/*
 *  a quick way to associate cubes (i.e., sm_row *) to small integers
 *  and back.  Used to build the kernel_cube matrix
 */

typedef struct nodeindex_struct nodeindex_t;
struct nodeindex_struct {
    st_table *node_to_int;
    array_t *int_to_node;
};


extern nodeindex_t *nodeindex_alloc();
extern void nodeindex_free();
extern int nodeindex_indexof();
extern node_t *nodeindex_nodeof();
extern int nodeindex_insert();

#endif
