 /* file bin_delay_static v release 1.2 */ 
 /* last modified: 9/9/90 at 17:31:58 */ 
static compute_pwl_delay_min();
static delay_bucket_t *compute_gate_pwl();
static delay_bucket_t *compute_wire_pwl();
static delay_bucket_t *delay_bucket_alloc();
static delay_bucket_t *pwl_select_best_gate();
static delay_time_t compute_consistent_pwl_delay();
static delay_time_t compute_pwl_delay();
static int find_best_delay();
static void bin_alloc();
static void bin_delay_initialize_pipo();
static void bin_free();
static void bin_init_pi();
static void compute_best_match();
static void compute_fanout_node_pwl();
static void compute_node_pwl();
static void compute_node_pwl_for_wire();
static void copy_bucket_to_map();
static void delay_bucket_print();
static void free_delay_bucket_storage();
static void gather_gate_statistics();
static void increment_input_loads();
static void init_delay_bucket_storage();
static void preserve_best_area();
static void print_gate_stat_table();
static void select_best_gate();
