 /* file map_delay.h release 1.4 */
 /* last modified: 9/9/90 at 17:32:09 */
#ifndef MAP_DELAY_H
#define MAP_DELAY_H

extern void delay_map_compute_required_times();
extern void delay_gate_arrival_times();	/* similar to delay_gate_simulate but faster for several loads */
extern void delay_compute_pin_delays();

extern void          map_reset_default_delay_info(/* network */);
extern delay_time_t  pipo_get_pi_arrival(/* node_t *node */);
extern delay_time_t  pipo_get_pi_drive(/* node_t *node */);
extern delay_time_t  pipo_get_po_required(/* node_t *node */);
extern double        pipo_get_po_load(/* node_t *node */);
extern void          pipo_set_default_po_required(/* delay_time_t value */);
extern double 	     map_compute_wire_load(/* int n_fanouts */);

 /* should be put in delay/delay.h */
extern pin_phase_t delay_get_polarity(/* char *pin_delay */);

#endif 
