#include "copyright.h"
#include "port.h"
#include "utility.h"

extern int collapse_level;

open_pipes_to_mlespresso(fpin, fpout)
FILE **fpin, **fpout;
{
    static char *argv[] = {"misII", "-sx", "-c", "bdsyn 1", 0};

#ifdef unix
    if (!util_pipefork(argv, fpout, fpin, 0)) {
	(void) fflush(stdout);
	(void) fprintf(stderr,
		"Warning: Cannot fork mis (check your $PATH): Using option -c0\n");
	collapse_level = 0;
	(void) fflush(stderr);
    }
#else
    (void) fflush(stdout);
    (void) fprintf(stderr,
	    "Warning:  Unix pipes not supported: Using option -c0\n");
    collapse_level = 0;
    (void) fflush(stderr);
#endif
}
