/* passed between yylex() and bdsyn.y (i.e., yyparse()) */
extern char yytext[1024];
extern int yylength;
extern char *yyfile;
extern int *yyline;

extern node *input_ports, *output_ports;
extern char *model_name;


/* function definitions inside of yacc.c */
symbol *yacc_lookup();
node *yacc_find_symbol();
node *yacc_find_routine();
node *yacc_make_variable();
node *yacc_hackup_tbit();
node *select_case_colon();

void yacc_define_symbol();
void yacc_define_synonym();
void yacc_define_constant();
void yacc_define_routine();

char *map_token_to_name();
node *node_reverse();
node *slow_node_append();
node *cons();
int const_width();

