 /* file map_defs.h release 1.3 */
 /* last modified: 9/9/90 at 17:32:09 */
#ifndef MAP_DEFS_H
#define MAP_DEFS_H

#define FP_EQUAL(a,b)	(ABS((a)-(b)) < .0001)
#define LARGE 0x7fffffff

typedef void (*VoidFn)();
typedef int  (*IntFn)();


 /* THIS SHOULD BE PUT IN THE ARRAY PACKAGE */

#define array_fetch_p(type, a, i)                       \
    (array_i = (i),                             \
      (array_i < 0 || array_i >= (a)->num) ? array_abort(0) : 0,\
      ((type *) ((a)->space + array_i * (a)->obj_size)))



 /* borrowed from AT&T C++ incl/generic.h include file */

#define BSD
/* (This is mysterious.  Everybody's BSD?) */

/* BSD and SystemV cpp's have different mechanisms for pasting tokens together */

/* HP-UX is SYSV */
#ifdef hpux
#define name2(a,b)	a/**/b
#define name3(a,b,c)	a/**/b/**/c
#define name4(a,b,c,d)	a/**/b/**/c/**/d
#else

#ifdef __STDC__
#define name2(a,b) a##b
#define name3(a,b,c) a##b##c
#define name4(a,b,c,d) a##b##c##d
#else

#if defined(BSD) && !defined(_IBMR2)
#define name2(a,b) a\
b
#define name3(a,b,c) a\
b\
c
#define name4(a,b,c,d) a\
b\
c\
d

#else	/*System V way:*/
#define name2(a,b)	a/**/b
#define name3(a,b,c)	a/**/b/**/c
#define name4(a,b,c,d)	a/**/b/**/c/**/d

#endif
#endif
#endif
#endif
