#include "mis.h"


network_t *
network_espresso(network)
network_t *network;
{
    network_t *new_net;
    pPLA PLA;

    PLA = network_to_pla(network);
    if (PLA == 0) return 0;

    if (PLA->D != 0) sf_free(PLA->D);
    if (PLA->R != 0) sf_free(PLA->R);
    PLA->D = new_cover(0);
    PLA->R = complement(cube1list(PLA->F));
    PLA->F = espresso(PLA->F, PLA->D, PLA->R);
    new_net = pla_to_network(PLA);
    network_set_name(new_net, network_name(network));

    discard_pla(PLA);
    return new_net;
}
